## Apache Zeta Components Manual :: Docs For Class ezcDocumentException

### Document::ezcDocumentException

### Class ezcDocumentException

General exception container for the Document component.

Source for this file: /Document/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcDocumentException

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcDocumentInvalidOdtException | Exception thrown if an expectation to an incoming DocBook document is not met during DocBook to ODT conversion.
ezcDocumentInvalidDocbookException | Exception thrown if an expectation to an incoming DocBook document is not met.
ezcDocumentRstTokenizerException | Exception thrown, when the RST tokenizer could not tokenize a character sequence.
ezcDocumentInvalidFontException | Exception thrown, when the RST visitor could not visit an AST node properly.
ezcDocumentOdtFormattingPropertiesExistException | Exception thrown if formatting properties of the same type are set twice in an ezcDocumentOdtFormattingPropertyCollection.
ezcDocumentMissingVisitorException | Exception thrown, when a visitor could not be found for a node / subtree.
ezcDocumentWikiTokenizerException | Exception thrown, when the Wiki tokenizer could not tokenize a character sequence.
ezcDocumentWikiMissingPluginHandlerException | Exception thrown, when a wiki contains a plugin, for which no handler has been registerd.
ezcDocumentConversionException | Exception thrown, when the RST parser could not parse asome token sequence.
ezcDocumentErroneousXmlException | General exception container for the Document component.
ezcDocumentVisitException | Exception thrown, when the RST visitor could not visit an AST node properly.
ezcDocumentRstMissingTextRoleHandlerException | Exception thrown, when a RST contains a text role, for which no handler has been registered.
ezcDocumentRstMissingDirectiveHandlerException | Exception thrown, when a RST contains a directive, for which no handler has been registerd.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3